Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class WhenFlatRecordTypeFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.recordtype.WhenFlatRecordTypeFactoryAssembler

    public class WhenFlatRecordTypeFactoryAssembler

extends FlatFileOptionsFactoryAssembler

The `WhenFlatRecordTypeFactoryAssembler` implements an assembler for assembling flat file record type objects.

Constructor Summary
`WhenFlatRecordTypeFactoryAssembler()`

Method Summary
`FlatRecordTypeSelectionFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(FlatRecordTypeFactory flatRecordTypeFactory)`
`void` | `setTest(java.lang.String testExpression)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhenFlatRecordTypeFactoryAssembler

    public WhenFlatRecordTypeFactoryAssembler()

Method Detail

### setTest

    public void setTest(java.lang.String testExpression)

### injectComponent

    public void injectComponent(FlatRecordTypeFactory flatRecordTypeFactory)

### assemble

    public FlatRecordTypeSelectionFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD